package oop.ExceptionHandling;

import java.util.ArrayList;

public class CCMExceptionProvoker {
	
	public static void main(String[] args) {
		ArrayList<String> al = new ArrayList<>();
		
		al.add("Peggy");
		al.add("Bud");
		al.add("Kelly");
		al.add("Al");

		String otbr = null;
		
		for (String s : al) {
			System.out.println(s);
			
			if (s.equals("Al")) {
				System.out.println("I move out of the House!");
				al.remove(s);	// Führt zur Exception, weil dem Iterator die genutze Liste "zerschossen" wird.	
//				otbr = s;
				break; // Aber wenn wir break machen, dann geht das
			}
		}
		
		if (otbr != null)
			al.remove(otbr);
		
		System.out.println(al.size());
	}


}
